Bug 1027024 - [abrt] fontforge-20120731b-10.fc20: GDrawFontMetrics: Process /usr/bin/fontforge was killed by signal 11 (SIGSEGV)
[abrt] fontforge-20120731b-10.fc20: GDrawFontMetrics: Process /usr/bin/fontfo...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fontforge (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8af39dfc7323e5f9bd3d77d382f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 18:13 EST by Ankur Sinha (FranciscoD)
Modified: 2015-06-29 20:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:44:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.16 KB, text/plain)
2013-11-05 18:13 EST, Ankur Sinha (FranciscoD)
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-05 18:13 EST, Ankur Sinha (FranciscoD)
no flags Details
File: core_backtrace (3.39 KB, text/plain)
2013-11-05 18:13 EST, Ankur Sinha (FranciscoD)
no flags Details
File: dso_list (7.01 KB, text/plain)
2013-11-05 18:13 EST, Ankur Sinha (FranciscoD)
no flags Details
File: environ (5.14 KB, text/plain)
2013-11-05 18:13 EST, Ankur Sinha (FranciscoD)
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-05 18:13 EST, Ankur Sinha (FranciscoD)
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-05 18:13 EST, Ankur Sinha (FranciscoD)
no flags Details
File: maps (36.24 KB, text/plain)
2013-11-05 18:13 EST, Ankur Sinha (FranciscoD)
no flags Details
File: open_fds (244 bytes, text/plain)
2013-11-05 18:13 EST, Ankur Sinha (FranciscoD)
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-11-05 18:13 EST, Ankur Sinha (FranciscoD)
no flags Details
File: var_log_messages (614 bytes, text/plain)
2013-11-05 18:13 EST, Ankur Sinha (FranciscoD)
no flags Details

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-11-05 18:13:00 EST
Description of problem:
Segfaulted right on start.

Version-Release number of selected component:
fontforge-20120731b-10.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        fontforge FontAwesome.otf
crash_function: GDrawFontMetrics
executable:     /usr/bin/fontforge
kernel:         3.11.6-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 GDrawFontMetrics at gdrawtxt.c:2339
 #1 CreateErrorWindow at uiutil.c:770
 #2 _LogError at uiutil.c:886
 #3 UI_LogError at uiutil.c:896
 #4 NameConsistancyCheck at parsettf.c:5707
 #5 UseGivenEncoding at parsettf.c:5781
 #6 SFFillFromTTF at parsettf.c:6250
 #7 _SFReadTTF at parsettf.c:6363
 #8 _ReadSplineFont at splinefont.c:1076
 #9 ReadSplineFont at splinefont.c:1248
Comment 1 Ankur Sinha (FranciscoD) 2013-11-05 18:13:09 EST
Created attachment 820056 [details]
File: backtrace
Comment 2 Ankur Sinha (FranciscoD) 2013-11-05 18:13:12 EST
Created attachment 820057 [details]
File: cgroup
Comment 3 Ankur Sinha (FranciscoD) 2013-11-05 18:13:16 EST
Created attachment 820058 [details]
File: core_backtrace
Comment 4 Ankur Sinha (FranciscoD) 2013-11-05 18:13:19 EST
Created attachment 820059 [details]
File: dso_list
Comment 5 Ankur Sinha (FranciscoD) 2013-11-05 18:13:23 EST
Created attachment 820060 [details]
File: environ
Comment 6 Ankur Sinha (FranciscoD) 2013-11-05 18:13:27 EST
Created attachment 820061 [details]
File: exploitable
Comment 7 Ankur Sinha (FranciscoD) 2013-11-05 18:13:30 EST
Created attachment 820062 [details]
File: limits
Comment 8 Ankur Sinha (FranciscoD) 2013-11-05 18:13:34 EST
Created attachment 820063 [details]
File: maps
Comment 9 Ankur Sinha (FranciscoD) 2013-11-05 18:13:38 EST
Created attachment 820064 [details]
File: open_fds
Comment 10 Ankur Sinha (FranciscoD) 2013-11-05 18:13:41 EST
Created attachment 820065 [details]
File: proc_pid_status
Comment 11 Ankur Sinha (FranciscoD) 2013-11-05 18:13:48 EST
Created attachment 820066 [details]
File: var_log_messages
Comment 12 Kevin Fenzi 2013-11-05 19:26:06 EST
Does this crash happen everytime with this font? Is the font available freely somewhere?

Otherwise fontforge starts up fine without this font?
Comment 13 Kevin Fenzi 2013-11-05 19:26:06 EST
Does this crash happen everytime with this font? Is the font available freely somewhere?

Otherwise fontforge starts up fine without this font?
Comment 14 Ankur Sinha (FranciscoD) 2013-11-06 02:06:51 EST
(In reply to Kevin Fenzi from comment #13)
> Does this crash happen everytime with this font? Is the font available
> freely somewhere?

Ah! Yeah. This seems specific to this font. The font is under review here:
https://bugzilla.redhat.com/show_bug.cgi?id=1026376

(I was trying to check the font's license in fontforge when I ran into this crash). The source is available here: 
http://fortawesome.github.io/Font-Awesome/assets/font-awesome-4.0.3.zip

http://fortawesome.github.io/Font-Awesome/

> 
> Otherwise fontforge starts up fine without this font?

Yeah. I just checked. It starts up fine if I don't specify this font file. 

gnome-font-viewer at least loads the ttf properly. I get only boxes with the otf. 

**** Command line output ***
[asinha@ankur-laptop  SOURCES]$ cd font-awesome-4.0.0/
[asinha@ankur-laptop  font-awesome-4.0.0]$ ls
css  fonts  less  scss
[asinha@ankur-laptop  font-awesome-4.0.0]$ cd fonts/
[asinha@ankur-laptop  fonts]$ ls
FontAwesome.otf  fontawesome-webfont.eot  fontawesome-webfont.svg  fontawesome-webfont.ttf  fontawesome-webfont.woff
[asinha@ankur-laptop  fonts]$ fontforge fontawesome-webfont.ttf
Copyright (c) 2000-2012 by George Williams.
 Executable based on sources from 14:57 GMT 31-Jul-2012.
 Library based on sources from 14:57 GMT 31-Jul-2012.
Failed to create a fontset for the input method
-sazanami-gothic-medium-r-normal--16-0-0-0-c-0-iso8859-1,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso8859-2,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso8859-3,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso8859-4,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso8859-5,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso8859-9,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso8859-10,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso8859-15,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-koi8-uni,-sazanami-helvetica-medium-r-normal--16-0-0-0-c-0-jisx0208.1983-0,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso10646-1
Help! Server claimed font
        -sazanami-helvetica-medium-r-normal--13-0-0-0-c-0-jisx0208.1983-0
 existed in the font list, but when I asked for it there was nothing.
 I may crash soon.
Segmentation fault (core dumped)
[asinha@ankur-laptop  fonts]$ fontforge FontAwesome.otf
Copyright (c) 2000-2012 by George Williams.
 Executable based on sources from 14:57 GMT 31-Jul-2012.
 Library based on sources from 14:57 GMT 31-Jul-2012.
Failed to create a fontset for the input method
-sazanami-gothic-medium-r-normal--16-0-0-0-c-0-iso8859-1,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso8859-2,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso8859-3,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso8859-4,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso8859-5,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso8859-9,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso8859-10,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso8859-15,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-koi8-uni,-sazanami-helvetica-medium-r-normal--16-0-0-0-c-0-jisx0208.1983-0,-urw-urw gothic l-medium-r-normal--16-0-0-0-p-0-iso10646-1
Help! Server claimed font
        -sazanami-helvetica-medium-r-normal--13-0-0-0-c-0-jisx0208.1983-0
 existed in the font list, but when I asked for it there was nothing.
 I may crash soon.
Segmentation fault (core dumped)
[asinha@ankur-laptop  fonts]$

Thanks,
Ankur
Comment 15 Fedora End Of Life 2015-05-29 05:41:56 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-06-29 20:44:21 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.